Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2100819 - Rebuild the avocado-vt module with Python 3.11
Summary: Rebuild the avocado-vt module with Python 3.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: avocado-vt
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: lnie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 2100815
Blocks: F38FailsToInstall F37FinalFreezeException PYTHON3.11 F37FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-06-24 11:05 UTC by Miro Hrončok
Modified: 2022-10-26 10:44 UTC (History)
5 users (show)

Fixed In Version: avocado-vt-latest-3720220823084350.8f2ded0d avocado-vt-82lts-3720221005111945.a7a81be6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-26 10:17:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-06-24 11:05:28 UTC
When I run this command:

$ repoquery --setopt=*.module_hotfixes=yes --repo=rawhide-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)' --source

I get:

avocado-vt-82.0-3.module_f37+14076+b5a6614e.src.rpm
avocado-vt-90.0-1.module_f37+14041+73823c5b.src.rpm

I assume this comes from two streams of the avocado-vt module.

Please rebuild the package in Fedora 37 with Python 3.11 at the earliest convenience or the following packages won't be installable in Fedora 37:

python3-avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.noarch
python3-avocado-vt-0:90.0-1.module_f37+14041+73823c5b.noarch


I assume this needs to be done after bz2100815 because this module requires the avocado module, but OTOH the source packages do not seem to BuildRequire anything from it, so maybe this assumption is not correct.

Thanks

Comment 1 Miro Hrončok 2022-07-04 12:07:28 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this module, consider orphaning it.

Comment 2 Miro Hrončok 2022-08-15 11:55:12 UTC
The Rawhide modular repo has had no packages at all since branching. The reproducer is now:

$ repoquery --refresh --releasever=37 --setopt=*.module_hotfixes=yes --repo=fedora-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)'
...
python3-aexpect-0:1.6.2-1.module_f37+14043+581035aa.noarch
python3-aexpect-0:1.6.2-1.module_f37+14045+986f5bf2.noarch
python3-avocado-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-glib-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-golang-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-loader-yaml-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-output-html-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-result-upload-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-resultsdb-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-varianter-cit-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-varianter-pict-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-plugins-varianter-yaml-to-mux-0:82.0-4.module_f37+14045+986f5bf2.noarch
python3-avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.noarch
python3-avocado-vt-0:90.0-1.module_f37+14041+73823c5b.noarch
...

Comment 3 lnie 2022-09-21 03:13:35 UTC
Hi,

I have rebuilt avocado-vt month ago,and according the following output I guess it's not avocado-vt's problem?Please correct me if I'm wrong,as I'm not very familiar with module stuff,thanks.

[lnie@localhost-live ~]$ sudo dnf module install avocado-vt:latest/default
Last metadata expiration check: 1:31:49 ago on Wed 21 Sep 2022 08:41:18 AM CST.
Error: 
 Problem: conflicting requests
  - package python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch requires python3.11dist(aexpect), but none of the providers can be installed
  - package python3-aexpect-1.6.2-5.fc37.noarch is filtered out by modular filtering

After I add module_hotfixes=1 to fedora.repo,avocado-vt module can be installed successfully:

[lnie@localhost-live ~]$ sudo dnf module install avocado-vt:latest/default
Last metadata expiration check: 0:00:14 ago on Wed 21 Sep 2022 11:00:44 AM CST.
Dependencies resolved.
==============================================================================================================================
 Package                         Architecture     Version                                      Repository                Size
==============================================================================================================================
Installing group/module packages:
 python3-avocado-vt              noarch           98.0-2.module_f37+15110+1083543c             fedora-modular           9.1 M
Installing dependencies:
 gdb-gdbserver                   x86_64           12.1-4.fc37                                  fedora                   299 k
 python-avocado-common           noarch           98.0-1.module_f37+14743+b2abab74             fedora-modular            29 k
 python3-aexpect                 noarch           1.6.2-5.fc37                                 fedora                   122 k
 python3-avocado                 noarch           98.0-1.module_f37+14743+b2abab74             fedora-modular           778 k
 python3-netaddr                 noarch           0.8.0-10.fc37                                fedora                   1.6 M
 python3-netifaces               x86_64           0.11.0-4.fc37                                fedora                    22 k
 python3-pycdlib                 noarch           1.13.0-1.fc37                                fedora                   318 k
 python3-simplejson              x86_64           3.17.6-4.fc37                                fedora                   328 k
Installing module profiles:
 avocado-vt/default                                                                                                          

Transaction Summary
==============================================================================================================================
Install  9 Packages

Total download size: 13 M
Installed size: 37 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): python3-aexpect-1.6.2-5.fc37.noarch.rpm                                                431 kB/s | 122 kB     00:00    
(2/9): gdb-gdbserver-12.1-4.fc37.x86_64.rpm                                                   1.0 MB/s | 299 kB     00:00    
(3/9): python3-netifaces-0.11.0-4.fc37.x86_64.rpm                                             480 kB/s |  22 kB     00:00    
(4/9): python3-pycdlib-1.13.0-1.fc37.noarch.rpm                                               3.8 MB/s | 318 kB     00:00    
(5/9): python3-simplejson-3.17.6-4.fc37.x86_64.rpm                                            3.8 MB/s | 328 kB     00:00    
(6/9): python3-netaddr-0.8.0-10.fc37.noarch.rpm                                               3.7 MB/s | 1.6 MB     00:00    
(7/9): python-avocado-common-98.0-1.module_f37+14743+b2abab74.noarch.rpm                      175 kB/s |  29 kB     00:00    
(8/9): python3-avocado-98.0-1.module_f37+14743+b2abab74.noarch.rpm                            1.6 MB/s | 778 kB     00:00    
(9/9): python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch.rpm                         2.4 MB/s | 9.1 MB     00:03    
------------------------------------------------------------------------------------------------------------------------------
Total                                                                                         2.6 MB/s |  13 MB     00:04     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                      1/1 
  Installing       : python-avocado-common-98.0-1.module_f37+14743+b2abab74.noarch                                        1/9 
  Installing       : python3-simplejson-3.17.6-4.fc37.x86_64                                                              2/9 
  Installing       : python3-pycdlib-1.13.0-1.fc37.noarch                                                                 3/9 
  Installing       : python3-netifaces-0.11.0-4.fc37.x86_64                                                               4/9 
  Installing       : python3-netaddr-0.8.0-10.fc37.noarch                                                                 5/9 
  Installing       : python3-aexpect-1.6.2-5.fc37.noarch                                                                  6/9 
  Installing       : gdb-gdbserver-12.1-4.fc37.x86_64                                                                     7/9 
  Installing       : python3-avocado-98.0-1.module_f37+14743+b2abab74.noarch                                              8/9 
  Installing       : python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch                                           9/9 
  Running scriptlet: python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch                                           9/9 
  Verifying        : gdb-gdbserver-12.1-4.fc37.x86_64                                                                     1/9 
  Verifying        : python3-aexpect-1.6.2-5.fc37.noarch                                                                  2/9 
  Verifying        : python3-netaddr-0.8.0-10.fc37.noarch                                                                 3/9 
  Verifying        : python3-netifaces-0.11.0-4.fc37.x86_64                                                               4/9 
  Verifying        : python3-pycdlib-1.13.0-1.fc37.noarch                                                                 5/9 
  Verifying        : python3-simplejson-3.17.6-4.fc37.x86_64                                                              6/9 
  Verifying        : python-avocado-common-98.0-1.module_f37+14743+b2abab74.noarch                                        7/9 
  Verifying        : python3-avocado-98.0-1.module_f37+14743+b2abab74.noarch                                              8/9 
  Verifying        : python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch                                           9/9 

Installed:
  gdb-gdbserver-12.1-4.fc37.x86_64                             python-avocado-common-98.0-1.module_f37+14743+b2abab74.noarch  
  python3-aexpect-1.6.2-5.fc37.noarch                          python3-avocado-98.0-1.module_f37+14743+b2abab74.noarch        
  python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch   python3-netaddr-0.8.0-10.fc37.noarch                           
  python3-netifaces-0.11.0-4.fc37.x86_64                       python3-pycdlib-1.13.0-1.fc37.noarch                           
  python3-simplejson-3.17.6-4.fc37.x86_64                     

Complete!

Comment 4 lnie 2022-09-21 04:26:38 UTC
According the following output,I guess the problem is: the recent built of avocado for python3.11 provides python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch,which strangely somehow depends on python3.10.


[lnie@localhost-live ~]$ sudo dnf install python3-aexpect
Last metadata expiration check: 0:00:50 ago on Wed 21 Sep 2022 11:05:31 AM CST.
Error: 
 Problem: conflicting requests
  - nothing provides python(abi) = 3.10 needed by python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch
(try to add '--skip-broken' to skip uninstallable packages)


[lnie@localhost-live ~]$ sudo dnf module provides python3-aexpect
[sudo] password for lnie: 
Last metadata expiration check: 0:13:46 ago on Wed 21 Sep 2022 11:05:31 AM CST.
python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch
Module   : avocado:latest:3720220816134348:9e842022:x86_64
Profiles : 
Repo     : fedora-modular
Summary  : Framework with tools and libraries for Automated Testing

python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch
Module   : avocado:latest:3720220816134348:9e842022:x86_64
Profiles : 
Repo     : updates-testing-modular
Summary  : Framework with tools and libraries for Automated Testing

python3-aexpect-1.6.2-1.module_f37+14045+986f5bf2.noarch
Module   : avocado:82lts:3720220817063847:9e842022:x86_64
Profiles : 
Repo     : fedora-modular
Summary  : Framework with tools and libraries for Automated Testing

python3-aexpect-1.6.2-1.module_f37+14045+986f5bf2.noarch
Module   : avocado:82lts:3720220902140108:9e842022:x86_64
Profiles : 
Repo     : updates-testing-modular
Summary  : Framework with tools and libraries for Automated Testing
I guess there would be two solution:
1.make newly built python3-aexpect depends on python3.11
2 remove python3-aexpect from avocado module(remove the line of python3-aexpect in the module yaml to make the non-modular python3-aexpect is not filtered out),since we already have non-modular version.

Please correct me if I'm wrong or cc the avocado maintainer here,thanks.

Comment 5 Miro Hrončok 2022-09-21 09:39:11 UTC
Hey folks. Do you know what is going on here?

Comment 6 Petr Pisar 2022-09-21 10:40:36 UTC
The original report lists 2 packages:

avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.src/python3-avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.noarch package is from avocado-vt:82lts:3720210902113311:a7a81be6 module. It's this Koji build <https://koji.fedoraproject.org/koji/buildinfo?buildID=1932003> which was built against python3-devel-3.10.2-3.fc36 at 2022-03-10T15:41:04. I guess the module was built when Fedora 37 contained python-3.10 and the module was never built again. avocado-vt:82lts module depends on avocado:82lts module which fails to build. See bug #2119710 (a test failure). First a maintainer needs to fix avocado:82lts.

avocado-vt-0:90.0-1.module_f37+14041+73823c5b.src/python3-avocado-vt-0:90.0-1.module_f37+14041+73823c5b.noarch package is from avocado-vt:latest:3720210902083930:8f2ded0d module. It's this Koji build <https://koji.fedoraproject.org/koji/buildinfo?buildID=1930617> which was build against python3-devel-3.10.2-3.fc36 at 2022-03-08T10:08:20. avocado-vt:latest was rebuilt as avocado-vt:latest:3720220823084350:8f2ded0d and now contains avocado-vt-0:98.0-2.module_f37+15110+1083543c.src/python3-avocado-vt-0:98.0-2.module_f37+15110+1083543c.noarch. That new package requires python3.11dist(aexpect) which is provided by nonmodular python3-aexpect-1.6.2-5.fc37.noarch, but that nonmodular package is not available because and already enabled avocado:latest:3720220816134348:9e842022 module already contains a same-named python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch. That modular python3-aexpect package is this Koji build <https://koji.fedoraproject.org/koji/buildinfo?buildID=1930620> which was built against python3-devel-3.10.2-3.fc36 at 2022-03-08T10:11:13. Again at that time Fedora did not contain python-3.11. Why does avocado:latest:3720220816134348:9e842022 module built from 2022-08-16 sources contain a package built on 2022-03-08, five months ago? Because the module was built with a default only-changed strategy which reuses packages whose sources have not changed <https://mbs.fedoraproject.org/module-build-service/2/module-builds/14972>. To fix it a maintainer needs to do an empty commit to avocado:latest module and then build it with "all" strategy. That will force rebuilding all packages of the module. A documentation for fedpkg invocation <https://docs.fedoraproject.org/en-US/modularity/building-modules/fedora/building-modules/#_rebuild_strategies>.

Comment 7 lnie 2022-09-22 01:40:14 UTC
(In reply to Petr Pisar from comment #6)
> The original report lists 2 packages:
> 
> avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.src/python3-avocado-vt-0:82.0-
> 3.module_f37+14076+b5a6614e.noarch package is from
> avocado-vt:82lts:3720210902113311:a7a81be6 module. It's this Koji build
> <https://koji.fedoraproject.org/koji/buildinfo?buildID=1932003> which was
> built against python3-devel-3.10.2-3.fc36 at 2022-03-10T15:41:04. I guess
> the module was built when Fedora 37 contained python-3.10 and the module was
> never built again. 

Yes,I forgot about it,and submitted a build request just several hours before your reply:)


>avocado-vt:82lts module depends on avocado:82lts module
> which fails to build. See bug #2119710 (a test failure). First a maintainer
> needs to fix avocado:82lts.
> 
> avocado-vt-0:90.0-1.module_f37+14041+73823c5b.src/python3-avocado-vt-0:90.0-
> 1.module_f37+14041+73823c5b.noarch package is from
> avocado-vt:latest:3720210902083930:8f2ded0d module. It's this Koji build
> <https://koji.fedoraproject.org/koji/buildinfo?buildID=1930617> which was
> build against python3-devel-3.10.2-3.fc36 at 2022-03-08T10:08:20.
> avocado-vt:latest was rebuilt as avocado-vt:latest:3720220823084350:8f2ded0d
> and now contains
> avocado-vt-0:98.0-2.module_f37+15110+1083543c.src/python3-avocado-vt-0:98.0-
> 2.module_f37+15110+1083543c.noarch. That new package requires
> python3.11dist(aexpect) which is provided by nonmodular
> python3-aexpect-1.6.2-5.fc37.noarch, but that nonmodular package is not
> available because and already enabled
> avocado:latest:3720220816134348:9e842022 module already contains a
> same-named python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch. That
> modular python3-aexpect package is this Koji build
> <https://koji.fedoraproject.org/koji/buildinfo?buildID=1930620> which was
> built against python3-devel-3.10.2-3.fc36 at 2022-03-08T10:11:13. Again at
> that time Fedora did not contain python-3.11. Why does
> avocado:latest:3720220816134348:9e842022 module built from 2022-08-16
> sources contain a package built on 2022-03-08, five months ago? Because the
> module was built with a default only-changed strategy which reuses packages
> whose sources have not changed
> <https://mbs.fedoraproject.org/module-build-service/2/module-builds/14972>.
> To fix it a maintainer needs to do an empty commit to avocado:latest module
> and then build it with "all" strategy. That will force rebuilding all
> packages of the module. A documentation for fedpkg invocation
> <https://docs.fedoraproject.org/en-US/modularity/building-modules/fedora/
> building-modules/#_rebuild_strategies>.

Really thanks a lot for your pretty valuable information and help:)

Comment 8 Petr Pisar 2022-10-05 11:33:15 UTC
Rebuilding avocado-vt:82lts <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15475>.
avocado-vt:latest was already fixed in avocado-vt-latest-3720220823084350.8f2ded0d <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15110>.

Comment 9 Fedora Update System 2022-10-05 11:56:20 UTC
FEDORA-MODULAR-2022-28e945a6df has been submitted as an update to Fedora 37 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-28e945a6df

Comment 10 Kamil Páral 2022-10-06 08:56:18 UTC
Accepted as a freeze exception in https://pagure.io/fedora-qa/blocker-review/issue/954

Comment 11 Petr Pisar 2022-10-11 11:19:04 UTC
Stuck in pending-for-testing state. Escalated to reelengs <https://pagure.io/releng/issue/11080>.

Comment 12 Fedora Update System 2022-10-11 15:15:05 UTC
FEDORA-MODULAR-2022-28e945a6df has been pushed to the Fedora 37 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-28e945a6df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 lnie 2022-10-12 02:16:46 UTC
I was on State holiday vacation,thanks Petr for submitting the Updates,the 82lts stream can be installed successfully now.
However,we still have a problem,the latest stream can Not be installed successfully unless we added module_hotfixes=1 as I mentioned in #comment3,which is obviously not a desired behavior.
Petr,I guess you need to rebuild avocado:latest to fix this problem^^

Comment 14 Petr Pisar 2022-10-12 08:12:10 UTC
You are right. python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch is from avocado:latest, bug #2100815.

Comment 15 lnie 2022-10-13 07:09:32 UTC
Petr,here is the output,sigh...,did you build avocado with "all" strategy,as you mentioned in #comment6?

[lnie@localhost-live ~]$ sudo dnf module install avocado-vt:latest/default --enablerepo=updates-testing,updates-testing-modular --best
Last metadata expiration check: 1:17:22 ago on Thu 13 Oct 2022 09:10:53 AM CST.
Error: 
 Problem: package python3-avocado-vt-98.0-2.module_f37+15110+1083543c.noarch requires python3.11dist(aexpect), but none of the providers can be installed
  - cannot install the best candidate for the job
  - package python3-aexpect-1.6.2-5.fc37.noarch is filtered out by modular filtering
(try to add '--skip-broken' to skip uninstallable packages)
[lnie@localhost-live ~]$ sudo dnf install python3-aexpect
[sudo] password for lnie: 
Last metadata expiration check: 2:37:31 ago on Thu 13 Oct 2022 12:26:35 PM CST.
Error: 
 Problem: conflicting requests
  - nothing provides python(abi) = 3.10 needed by python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch
(try to add '--skip-broken' to skip uninstallable packages)
[lnie@localhost-live ~]$ sudo dnf install python3-aexpect --enablerepo=updates-testing,updates-testing-modular --best
Last metadata expiration check: 2:38:16 ago on Thu 13 Oct 2022 12:26:35 PM CST.
Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides python(abi) = 3.10 needed by python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch
(try to add '--skip-broken' to skip uninstallable packages)

Comment 16 lnie 2022-10-13 07:14:19 UTC
To be clear,we need avocado module including a newly built python3-aexpect,other than python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch,which is,obviously depends on python(abi) = 3.10:(

Comment 17 Petr Pisar 2022-10-13 09:08:11 UTC
The latest avocado:latest build delivers python3-avocado-0:98.0-1.module_f37+15602+e48ebb05.noarch <https://koji.fedoraproject.org/koji/rpminfo?rpmID=32185250> which is built against Python 3.11. The module build has not get into a repository. Repositories are composed once (or twice) a day. Tomorrow it should be there.

Comment 18 Petr Pisar 2022-10-13 09:24:32 UTC
And please stop switching this bug to Modified state. This bug report for avocado-vt module. You have a problem with avocado module (bug #2100815).

Comment 19 lnie 2022-10-13 09:36:33 UTC
Er,yes,avocado.Sorry and thanks for your detailed explain,I thought by #Comment14,you mean python3-aexpect-1.6.2-1.module_f37+14043+581035aa.noarch fixes the problem.

Comment 20 Fedora Update System 2022-10-24 17:54:55 UTC
FEDORA-MODULAR-2022-28e945a6df has been pushed to the Fedora 37 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Miro Hrončok 2022-10-25 10:49:06 UTC
I still see this:

$ repoquery --refresh --releasever=37 --setopt=*.module_hotfixes=yes --repo=fedora-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)' --latest=1
python3-aexpect-0:1.6.2-1.module_f37+14045+986f5bf2.noarch
python3-avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.noarch

Comment 22 Petr Pisar 2022-10-25 11:23:08 UTC
Problematic python3-avocado-vt-0:82.0-3.module_f37+14076+b5a6614e.noarch is in fedora-modular repository.

FEDORA-MODULAR-2022-28e945a6df update delivers avocado-vt-82lts-3720221005111945.a7a81be6 with python3-avocado-vt-82.0-3.module_f37+15475+05f2d403.noarch which is still in updates-testing-modular repository despite having been tagged into stable:

Mon Oct 24 19:54:40 2022 avocado-vt-82lts-3720221005111945.a7a81be6 tagged into f37-modular by bodhi [still active]

The latest stable repository Fedora-37-20221024.n.0 was created at Mon, 24 Oct 2022 11:54:02 GMT. That's BEFORE tagging the build.

You need to wait another day for a new compose.

Comment 23 Petr Pisar 2022-10-26 10:17:04 UTC
According to my checks it is fixed in Fedora-37-20221025.n.0 compose.

Comment 24 Miro Hrončok 2022-10-26 10:44:13 UTC
Same for me:

$ repoquery --refresh --releasever=37 --setopt=*.module_hotfixes=yes --repo=fedora-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)'
(empty)

Thanks again Petr for fixing this!


Note You need to log in before you can comment on or make changes to this bug.